{"openapi":"3.0.0","info":{"description":"Public API for 1Screen","version":"v2","title":"1Screen Public API"},"servers":[{"url":"https://api.1screen.viviane-dev.com/v2","description":"開発環境API"},{"url":"https://api.1screen.tv/v2","description":"本番環境API"}],"paths":{"/movies":{"get":{"parameters":[{"name":"ids","in":"query","required":false,"description":"ID(複数指定の場合はカンマ区切り)","schema":{"type":"integer","example":"1,2,3"}},{"name":"query","in":"query","required":false,"description":"検索ワード","schema":{"type":"string","example":"ハリー・ポッター"}},{"name":"page","in":"query","required":false,"description":"ページ数","schema":{"type":"integer","default":1,"minimum":1,"maximum":1000}},{"name":"limit","in":"query","required":false,"description":"1ページあたりのデータ件数","schema":{"type":"integer","default":10,"minimum":1,"maximum":100}},{"name":"order","in":"query","required":false,"description":"並び順","schema":{"type":"string","enum":["oldest","newest"]}},{"name":"with","in":"query","required":false,"description":"合わせて取得する関連データ(複数指定の場合はカンマ区切り)","schema":{"type":"string","enum":["distributions","genres","posters"],"example":"distributions,genres,posters"}}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/movie"}},"meta":{"$ref":"#/components/schemas/pageInfo"}}}}}},"4XX":{"description":"クライアントエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}},"5XX":{"description":"サーバーエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}}},"security":[{"api_key":[]}]}},"/movies/{id}":{"get":{"parameters":[{"name":"id","in":"path","required":true,"description":"ID","schema":{"type":"integer","minimum":1,"example":1}},{"name":"with","in":"query","required":false,"description":"合わせて取得する関連データ(複数指定の場合はカンマ区切り)","schema":{"type":"string","enum":["distributions","genres","posters"],"example":"distributions,genres,posters"}}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/movie"}}}}}},"4XX":{"description":"クライアントエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}},"5XX":{"description":"サーバーエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}}},"security":[{"api_key":[]}]}},"/tv-series":{"get":{"parameters":[{"name":"ids","in":"query","required":false,"description":"ID(複数指定の場合はカンマ区切り)","schema":{"type":"integer"}},{"name":"query","in":"query","required":false,"description":"検索ワード","schema":{"type":"string","example":"ウォーキング・デッド"}},{"name":"page","in":"query","required":false,"description":"ページ数","schema":{"type":"integer","default":1,"minimum":1,"maximum":1000}},{"name":"limit","in":"query","required":false,"description":"1ページあたりのデータ件数","schema":{"type":"integer","default":10,"minimum":1,"maximum":100}},{"name":"order","in":"query","required":false,"description":"並び順","schema":{"type":"string","enum":["oldest","newest"]}},{"name":"with","in":"query","required":false,"description":"合わせて取得する関連データ(複数指定の場合はカンマ区切り)","schema":{"type":"string","enum":["tvSeasons","tvSeasons.tvEpisodes","tvSeasons.distributions","tvSeasons.posters","genres","posters"],"example":"tvSeasons,tvSeasons.distributions,genres,posters"}}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/tvSeries"}},"meta":{"$ref":"#/components/schemas/pageInfo"}}}}}},"4XX":{"description":"クライアントエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}},"5XX":{"description":"サーバーエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}}},"security":[{"api_key":[]}]}},"/tv-series/{id}":{"get":{"parameters":[{"name":"id","in":"path","required":true,"description":"ID","schema":{"type":"integer","minimum":1,"example":1}},{"name":"with","in":"query","required":false,"description":"合わせて取得する関連データ(複数指定の場合はカンマ区切り)","schema":{"type":"string","enum":["tvSeasons","tvSeasons.tvEpisodes","tvSeasons.distributions","tvSeasons.posters","genres","posters"],"example":"tvSeasons,tvSeasons.distributions,genres,posters"}}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/tvSeries"}}}}}},"4XX":{"description":"クライアントエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}},"5XX":{"description":"サーバーエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}}},"security":[{"api_key":[]}]}},"/tv-seasons/{id}":{"get":{"parameters":[{"name":"id","in":"path","required":true,"description":"ID","schema":{"type":"integer","minimum":1,"example":1}},{"name":"with","in":"query","required":false,"description":"合わせて取得する関連データ(複数指定の場合はカンマ区切り)","schema":{"type":"string","enum":["tvEpisodes","distributions","posters"],"example":"tvSeasons,distributions,posters"}}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/tvSeason"}}}}}},"4XX":{"description":"クライアントエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}},"5XX":{"description":"サーバーエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}}},"security":[{"api_key":[]}]}},"/vods":{"get":{"parameters":[{"name":"order","in":"query","required":false,"description":"並び順","schema":{"type":"string","enum":["oldest"],"default":"oldest"}},{"name":"with","in":"query","required":false,"schema":{"type":"string","enum":["vodPlans"],"example":"vodPlans"}}],"responses":{"200":{"description":"成功","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/vod"}},"meta":{"$ref":"#/components/schemas/pageInfo"}}}}}},"4XX":{"description":"クライアントエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}},"5XX":{"description":"サーバーエラー","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/errorInfo"}}}}}}},"security":[{"api_key":[]}]}}},"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"movie":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"ID"},"category":{"type":"string","nullable":false,"enum":["live_action_movie","anime_movie"],"example":"live_action_movie","description":"カテゴリー"},"originalName":{"type":"string","nullable":false,"example":"Harry Potter and the Sorcerer's Stone","description":"原題"},"japaneseName":{"type":"string","nullable":true,"example":"ハリー・ポッターと賢者の石","description":"邦題"},"japaneseTagline":{"type":"string","nullable":true,"example":null,"description":"日本語のキャッチコピー"},"japaneseOverview":{"type":"string","nullable":true,"description":"日本語のあらすじ・概要","example":"両親の死後、親戚の家に預けられたハリー・ポッター少年。そこでは階段下の物置部屋をあてがわれ、何かとこき使われる毎日。そんなある日、ハリーの11歳の誕生日に一通の手紙が届いた。中身はなんと、魔法魔術学校の入学許可証だった。実は、ハリーの両親は優秀な魔法使いだったのだ。手紙に導かれるままホグワーツ魔法魔術学校にたどり着いたハリーは、さっそく魔法使いになるための勉強を始める。ロンとハーマイオニーという友達もでき、楽しい毎日を送るハリーだったが、やがて学校に隠された驚くべき秘密に気づくのだった……。"},"originalLanguage":{"type":"string","nullable":false,"example":"en","description":"言語"},"productionCountries":{"type":"array","items":{"type":"string"},"nullable":false,"example":["GB","US"],"description":"製作国(複数)"},"originalReleaseYear":{"type":"integer","nullable":true,"minimum":1800,"example":2001,"description":"原作国での公開年(いわゆる製作年に該当)"},"japaneseReleaseDate":{"type":"string","format":"date-time","pattern":"YYYY-MM-DD'T'hh:mm:ss'Z'","nullable":true,"example":"2001-12-01T00:00:00Z","description":"日本での公開日"},"runningTime":{"type":"integer","nullable":true,"minimum":1,"example":152,"description":"上映時間(分)"},"distributions":{"type":"array","items":{"$ref":"#/components/schemas/distribution"},"description":"配信情報"},"posters":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/poster"},"description":"ポスター(1ヶ国につき最大1枚)"},"genres":{"type":"array","items":{"$ref":"#/components/schemas/genre"},"description":"ジャンル"}}},"tvSeries":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"ID"},"category":{"type":"string","nullable":false,"enum":["tv_drama_series","tv_anime_series","tv_variety_series"],"example":"tv_darama_series","description":"カテゴリー"},"originalName":{"type":"string","nullable":false,"example":"The Walking Dead","description":"原題"},"japaneseName":{"type":"string","nullable":true,"example":"ウォーキング・デッド","description":"邦題"},"japaneseTagline":{"type":"string","nullable":true,"example":null,"description":"日本語のキャッチコピー"},"japaneseOverview":{"type":"string","nullable":true,"example":"ある日死者が次々と蘇り、死者に噛まれると死に至りゾンビとなってしまう現象が世界で大量発生した未来が舞台である。生き残った人々は成すすべも無くただ社会文明が崩壊してくなか、必死に生きていく。元保安官リックとその家族もまた生き残るための戦いを続けていく。","description":"日本語のあらすじ・概要"},"originalLanguage":{"type":"string","nullable":false,"example":"en","description":"言語"},"productionCountries":{"type":"array","items":{"type":"string"},"nullable":false,"example":["US"],"description":"製作国(複数)"},"originalReleaseYear":{"type":"integer","nullable":true,"minimum":1800,"example":2010,"description":"原作国での第1シーズンの公開年(いわゆる製作年に該当)"},"runningTime":{"type":"integer","nullable":true,"minimum":1,"example":42,"description":"1エピソードあたりの上映時間(分)"},"tvSeasons":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/tvSeason"},"description":"TVシーズン"},"genres":{"type":"array","items":{"$ref":"#/components/schemas/genre"},"description":"ジャンル"},"posters":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/poster"},"description":"ポスター(1ヶ国につき最大1枚)"}}},"tvSeason":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"ID"},"seasonNumber":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"シーズン番号"},"originalName":{"type":"string","nullable":false,"example":"Season 1","description":"原題"},"japaneseName":{"type":"string","nullable":true,"example":"シーズン1","description":"邦題"},"japaneseOverview":{"type":"string","nullable":true,"example":null,"description":"日本語のあらすじ・概要"},"originalReleaseYear":{"type":"integer","nullable":false,"minimum":1800,"example":2010,"description":"原作国での公開年(いわゆる製作年に該当)"},"distributions":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/distribution"},"description":"配信情報"},"posters":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/poster"},"description":"ポスター(1ヶ国につき最大1枚)"}}},"distribution":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"ID"},"vodId":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"VODのID"},"vodTitleId":{"type":"string","nullable":false,"example":123456789,"description":"VODごとの作品ID"},"titlePageUrl":{"type":"string","format":"url","nullable":false,"example":"https://example.com/title/XXXX","description":"作品ページのURL(アフィリエイトや計測用のパラメータなし)"},"landingPageUrl":{"type":"string","format":"url","nullable":false,"example":"https://example.com/title/XXXX?lp=true&tracking_id=XXX&utm_source=onescreen","description":"ランディングページのURL(アフィリエイトや計測用のパラメータあり)"},"watchingPageUrl":{"type":"string","format":"url","nullable":true,"example":"https://vod.com/watch/XXXX","description":"視聴ページのURL"},"isAffiliated":{"type":"boolean","nullable":false,"example":true,"description":"アフィリエイト可否フラグ(VOD社側からアフィリエイト訴求の停止を求められた場合に利用)"},"isFree":{"type":"boolean","nullable":true,"example":true,"description":"無料フラグ(無料のVODで見放題の場合にはこちらのTRUEになる)"},"isPartiallyFree":{"type":"boolean","nullable":true,"example":true,"description":"一部無料フラグ(第1話のみ無料などの場合TRUEになる)"},"isUnlimited":{"type":"boolean","nullable":false,"example":true,"description":"見放題フラグ"},"isRentable":{"type":"boolean","nullable":false,"example":true,"description":"レンタルフラグ"},"isPurchasable":{"type":"boolean","nullable":true,"example":null,"description":"購入フラグ"},"startsAt":{"type":"string","format":"date-time","pattern":"YYYY-MM-DD'T'hh:mm:ss'Z'","nullable":false,"example":"2000-01-01T00:00:00Z","description":"配信開始日時"},"endsAt":{"type":"string","format":"date-time","pattern":"YYYY-MM-DD'T'hh:mm:ss'Z'","nullable":true,"example":"2000-01-01T00:00:00Z","description":"配信終了日時"},"isSubtitled":{"type":"boolean","nullable":true,"example":null,"description":"字幕配信フラグ"},"isDubbed":{"type":"boolean","nullable":true,"example":null,"description":"吹き替え配信フラグ"}}},"vod":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"ID"},"slug":{"type":"string","nullable":false,"example":"slug_name","description":"識別名"},"name":{"type":"string","nullable":false,"example":"name","description":"サービス名称"},"state":{"type":"string","nullable":false,"enum":["connected","unconnected","unavailable"],"example":"conected","description":"連携状況"},"topPageUrl":{"type":"string","format":"url","nullable":false,"example":"https://example.com","description":"トップページのURL"}}},"genre":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"ジャンルのID"},"slug":{"type":"string","nullable":false,"example":"comedy","description":"ジャンルの識別名"},"japaneseName":{"type":"string","nullable":false,"example":"コメディ","description":"ジャンルの日本語名"}}},"poster":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"映画/TVシリーズ/TVシーズンのポスターID"},"country":{"type":"string","nullable":false,"example":"JP","description":"ポスターがどの国版か"},"url":{"type":"string","nullable":false,"example":"https://images.1screen.tv/poster/XXXX.jpeg","description":"画像URL"},"width":{"type":"integer","nullable":false,"example":1400,"description":"横幅(px)"},"height":{"type":"integer","nullable":false,"example":2100,"description":"縦幅(px)"},"copyright":{"type":"string","nullable":true,"example":"(C) XXXX All Right Reserved","description":"コピーライト"}}},"pageInfo":{"type":"object","properties":{"firstPage":{"type":"integer","nullable":false,"minimum":1,"example":1,"description":"最初のページ"},"currentPage":{"type":"integer","nullable":false,"minimum":1,"example":2,"description":"現在のページ"},"lastPage":{"type":"integer","nullable":false,"minimum":1,"example":5,"description":"最後のページ"},"perPage":{"type":"integer","nullable":false,"minimum":1,"example":10,"description":"1ページあたりのデータ件数"},"totalCount":{"type":"integer","nullable":false,"minimum":1,"example":50,"description":"合計のデータ件数"}}},"errorInfo":{"type":"object","properties":{"type":{"type":"string","nullable":false,"example":"Validation Failed","description":"エラー種別"},"message":{"type":"string","nullable":false,"example":"page must be greater than or equal to 1","description":"エラーメッセージ"}}}}}}